## libwcat1 1.1

=== Makefile ===
PKGNAME= libwcat
PKGVERSION= 1.1

PREFIX ?= "/usr/local"

CFLAGS+= -O2 -Wall -pedantic -fPIC
#CFLAGS+= -O2 -Wall -pedantic -fPIC -ggdb
MAJOR=1
VER=1.1

all: libwcat.so libwcat.a

libwcat.so: watchcat.o
	$(CC) -shared -Wl,-soname,libwcat.so.1 -olibwcat.so.$(MAJOR).$(VER) watchcat.o -lc

libwcat.a: watchcat.o
	$(AR) cru libwcat.a watchcat.o
	ranlib libwcat.a

watchcat.o: watchcat.h watchcat.c
	$(CC) -c watchcat.c $(CFLAGS)

install:
	strip libwcat.so.$(MAJOR).$(VER)
	install -m0644 libwcat.so.$(MAJOR).$(VER) $(PREFIX)/lib/
	ln -sf libwcat.so.$(MAJOR).$(VER) $(PREFIX)/lib/libwcat.so
	ln -sf libwcat.so.$(MAJOR).$(VER) $(PREFIX)/lib/libwcat.so.$(MAJOR)
	install -m0644 watchcat.h $(PREFIX)/include/
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

clean:
	rm -f *.o *.c~ *.h~ *.conf~ *.[0-9]~ *.so.* *.a
	rm -f COPYRIGHT~ TODO~ Makefile~ *.spec~

rpm: clean
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  cp -a . ../$(PKGNAME)-$(PKGVERSION); \
	fi
	tar -jcC .. --exclude CVS -f $(PKGNAME)-$(PKGVERSION).tar.bz2 $(PKGNAME)-$(PKGVERSION)
	rpm -ta $(PKGNAME)-$(PKGVERSION).tar.bz2
	rm -rf $(PKGNAME)-$(PKGVERSION).tar.bz2
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

=== debian/changelog ===
libwcat1 (1.1-3) unstable; urgency=medium

  * New maintainer (Closes: #960550).
  * Add debian/watch file.
  * Add debian/symbols file.
  * Add debian/source/format file.
  * Change format of debian/copyright to DEP5.
  * debian/control:
    + Change libwcat1 package Section from web to libs.
    + Update long description in libwcat1-dev package.
    + Add Multi-Arch support.
  * debian/rules:
    + Install shared libraries to /usr/lib/${DEB_HOST_MULTIARCH}.
    + Support hardening feature.
  * debian/patches:
    + Add patch to support LIBDIR in Makefile.
    + Add patch to pass CPPFLAGS and LDFLAGS to make. This is required to make
      hardening works.

 -- Georgy Komarov <jubnzv@gmail.com>  Sat, 19 Sep 2020 20:27:49 +0300

libwcat1 (1.1-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Add Vcs-* fields to use git packaging repo under Salsa Debian
      Group.
  * debian/rules: Drop custom installation scripts.
  * debian/patches: Add patch to avoid manual strip.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 May 2020 10:25:07 -0400

libwcat1 (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add versioned dependency to the libwcat1-dev on libwcat1. (Closes: #715125)

 -- Anton Gladky <gladk@debian.org>  Fri, 10 Mar 2017 22:19:46 +0100

libwcat1 (1.1-1) unstable; urgency=low

  * Initial Release. (Closes: #706028)

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 19:19:04 +0200

=== debian/control ===
Source: libwcat1
Section: libs
Priority: optional
Multi-Arch: foreign
Build-Depends:
 debhelper-compat (= 13), quilt
Maintainer: Georgy Komarov <jubnzv@gmail.com>
Standards-Version: 4.5.0
Homepage: http://oss.digirati.com.br/watchcatd/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libwcat1.git
Vcs-Browser: https://salsa.debian.org/debian/libwcat1

Package: libwcat1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process monitoring library
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.

Package: libwcat1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libwcat1 (= ${binary:Version})
Description: Process monitoring library (development files)
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.
 This package contains the development files (C headers)

=== debian/rules ===
#!/usr/bin/make -f

# Exports DEB_{BUILD,HOST}_* flags
include /usr/share/dpkg/architecture.mk

# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=$(CURDIR)/debian/tmp/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh ${@} -Smakefile

override_dh_installdirs:
	mkdir -p $(LIBDIR)
	dh_installdirs --create-in-sourcedir

override_dh_auto_install:
	mkdir -p $(LIBDIR)
	dh_auto_install --destdir=$(DESTDIR) -- LIBDIR=$(LIBDIR)
	find $(CURDIR)/debian/libwcat1/usr/include -type d -empty -delete

=== debian/watch ===
version=4
  http://oss.digirati.com.br/watchcatd/libwcat-(\d+).(\d+)\.tar\.gz \
  debian uupdate
